package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/19 10:07 AM
 */
public enum OrderTypeEnum {
    Recharge(1, "充值"),
    ShortMessagePackage(2, "短信套餐"),
    Service(3, "服务"),
    ExtensionPackage(4, "拓展包"),
    Package(5, "套餐包");

    private int code;
    private String message;

    private OrderTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessageBuCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (OrderTypeEnum statusEnum : values()) {
            if (statusEnum.getCode() == code.intValue()) {
                return statusEnum.getMessage();
            }
        }
        return "未知";
    }
}
