package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/16 4:11 PM
 */
public class EnterpriseDTO implements Serializable{
    private static final long serialVersionUID = -2344967926907229689L;

    public interface SaveEnterpriseValid {
    }

    public interface EditEnterpriseValid {
    }



    /**
     * 企业主键
     */
    @NotNull(message = "主键不能改为空", groups = {EditEnterpriseValid.class})
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    @NotBlank(message = "商户名称不能为空", groups = {SaveEnterpriseValid.class})
    private String enterpriseName;

    /**
     * 公司名称
     */
    @NotBlank(message = "公司名称不能为空", groups = {SaveEnterpriseValid.class})
    private String companyName;

    /**
     *
     */
    @NotBlank(message = "logo不能为空", groups = {SaveEnterpriseValid.class})
    private String logo;

    /**
     *
     */
    @NotBlank(message = "区号ID不能为空", groups = {SaveEnterpriseValid.class})
    private String areaId;

    /**
     * 详细地址
     */
    @NotBlank(message = "详细地址不能为空", groups = {SaveEnterpriseValid.class})
    private String address;

    /**
     * 状态；1有效； 0无效；2停用
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 是否完成初始化
     */
    private Integer isInitComplete;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsInitComplete() {
        return isInitComplete;
    }

    public void setIsInitComplete(Integer isInitComplete) {
        this.isInitComplete = isInitComplete;
    }
}
