package com.gic.enterprise.dto;

import com.gic.enterprise.constant.LicenseTypeEnum;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @author guojx
 * @date 2019/7/18 9:23 AM
 */
public class EnterpriseListDTO implements Serializable{
    private static final long serialVersionUID = -4988455509634831625L;

    private Integer enterpriseId;

    private String enterpriseName;

    private String companyName;

    private String logo;

    private String licenseUpperLimitStr;

    /**
     * 自左向右显示会员卡、服务号、小程序、门店、商品5大业务对象的license授权额度。
     *  受显示宽度限制，区间型license仅显示区间峰值。
     *  2 - 1 - 3 - 500 - 5000
     */
    private String serviceInfo;

    private Date createTime;

    /**
     * 服务版本；1gic标准版  2gic集团版
     */
    private Integer serviceVersion;

    /**
     * 截止日期
     */
    private Date expirationTime;


    /**
     * 状态值；0无效，1有效，2停用，3逾期 4:无服务 5：即将到期
     */
    private Integer serviceStatus;

    /**
     * 即将到期天数
     */
    private Integer aboutToExpireDay;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getLicenseUpperLimitStr() {
        return licenseUpperLimitStr;
    }

    public void setLicenseUpperLimitStr(String licenseUpperLimitStr) {
        this.licenseUpperLimitStr = licenseUpperLimitStr;
    }

    public Integer getServiceVersion() {
        return serviceVersion;
    }

    public void setServiceVersion(Integer serviceVersion) {
        this.serviceVersion = serviceVersion;
    }

    public Date getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(Date expirationTime) {
        this.expirationTime = expirationTime;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public Integer getAboutToExpireDay() {
        return aboutToExpireDay;
    }

    public void setAboutToExpireDay(Integer aboutToExpireDay) {
        this.aboutToExpireDay = aboutToExpireDay;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getServiceInfo() {
        if (licenseUpperLimitStr == null || licenseUpperLimitStr == "") {
            return "--";
        } else {
            String[] licenseArr = licenseUpperLimitStr.split(",");
            Map<Integer, Integer> licenseMap = new HashMap<>(16);
            for (String str : licenseArr) {
                Integer licenseType = Integer.parseInt(str.substring(0, 1));
                Integer licenseValue = Integer.parseInt(str.substring(1, str.length()));
                licenseMap.put(licenseType, licenseValue);
            }
            StringBuilder serviceInfo = new StringBuilder();
            for (LicenseTypeEnum licenseTypeEnum : LicenseTypeEnum.values()) {
                serviceInfo.append(licenseMap.get(licenseTypeEnum.getCode())).append("-");
            }
            return serviceInfo.toString().substring(0, serviceInfo.toString().length() - 1);
        }
    }

    public void setServiceInfo(String serviceInfo) {
        this.serviceInfo = serviceInfo;
    }
}
