package com.gic.enterprise.dto;

import com.gic.enterprise.constant.OrderTypeEnum;
import com.gic.enterprise.constant.TransferAccountApprovalStatusEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/22 10:28 AM
 */
public class TransferAccountsApprovalDetailDTO implements Serializable{
    private static final long serialVersionUID = -5774379828764249597L;

    /**
     * 审批人姓名
     */
    private String approvalName;

    /**
     * 审批时间
     */
    private Date approvalTime;

    /**
     * 审批人手机号
     */
    private String approvalPhone;
    /**
     * 审批人手机号码国际区号，如 86
     */
    private String approvalPhoneAreaCode;

    /**
     *
     */
    private Date createTime;

    /**
     * 审批流水号
     */
    private String approvalNumber;

    /**
     * 审批状态 1:待审批 2:已取消 3:已驳回 4:审批通过
     */
    private Integer approvalStatus;

    private String approvalStatusName;

    /**
     * 到账金额
     */
    private Double accountAmount;

    /**
     * 验证码
     */
    private String verifyCode;

    /**
     * 计划金额
     */
    private Double plannedAmount;

    /**
     * 发起方手机号码
     */
    private String initiatorPhone;

    /**
     * 发起方姓名
     */
    private String initiatorName;

    /**
     * 发起方手机号码国际区号，如 86
     */
    private String initiatorPhoneAreaCode;

    /**
     * 发起方1：商户 2:运维后台
     */
    private Integer initiatorType;

    /**
     *
     */
    private Integer transferApprovalId;

    /**
     * 关联订单流水号
     */
    private String orderNumber;

    /**
     * 关联订单平台方1:GIC
     */
    private Integer platformType;

    /**
     * 关联订单创建时间
     */
    private Date orderCreateTime;

    /**
     * 关联订单单据类型1:充值2:短信套餐3:服务订购4:拓展包5:套餐包
     */
    private Integer orderType;

    private String orderTypeName;

    private String enterpriseName;

    private String companyName;

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public Date getApprovalTime() {
        return approvalTime;
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    public String getApprovalPhone() {
        return approvalPhone;
    }

    public void setApprovalPhone(String approvalPhone) {
        this.approvalPhone = approvalPhone;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public Integer getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public Double getAccountAmount() {
        return accountAmount;
    }

    public void setAccountAmount(Double accountAmount) {
        this.accountAmount = accountAmount;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public Double getPlannedAmount() {
        return plannedAmount;
    }

    public void setPlannedAmount(Double plannedAmount) {
        this.plannedAmount = plannedAmount;
    }

    public String getInitiatorPhone() {
        return initiatorPhone;
    }

    public void setInitiatorPhone(String initiatorPhone) {
        this.initiatorPhone = initiatorPhone;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

    public String getInitiatorPhoneAreaCode() {
        return initiatorPhoneAreaCode;
    }

    public void setInitiatorPhoneAreaCode(String initiatorPhoneAreaCode) {
        this.initiatorPhoneAreaCode = initiatorPhoneAreaCode;
    }

    public Integer getInitiatorType() {
        return initiatorType;
    }

    public void setInitiatorType(Integer initiatorType) {
        this.initiatorType = initiatorType;
    }

    public Integer getTransferApprovalId() {
        return transferApprovalId;
    }

    public void setTransferApprovalId(Integer transferApprovalId) {
        this.transferApprovalId = transferApprovalId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public Date getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getApprovalStatusName() {
        return TransferAccountApprovalStatusEnum.getMessageBuCode(approvalStatus);
    }

    public void setApprovalStatusName(String approvalStatusName) {
        this.approvalStatusName = approvalStatusName;
    }

    public String getApprovalPhoneAreaCode() {
        return approvalPhoneAreaCode;
    }

    public void setApprovalPhoneAreaCode(String approvalPhoneAreaCode) {
        this.approvalPhoneAreaCode = approvalPhoneAreaCode;
    }

    public String getOrderTypeName() {
        return OrderTypeEnum.getMessageBuCode(orderType);
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }
}
