package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UserDTO;
import com.gic.enterprise.dto.EnterpriseDTO;
import com.gic.enterprise.dto.EnterpriseListDTO;

/**
 * 商户相关操作
 * @ClassName: EnterpriseApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/8 4:39 PM 
 */
public interface EnterpriseApiService {

    /**
     * 新增商户和超级管理员
     * @Title: saveEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseDTO
     * @param userDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> saveEnterprise(EnterpriseDTO enterpriseDTO, UserDTO userDTO);


    /**
     * 编辑保存
     * @Title: editEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> editEnterprise(EnterpriseDTO enterpriseDTO);

    /**
     * 查询单条数据
     * @Title: getEnterpriseById 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.EnterpriseDTO> 
      */
    ServiceResponse<EnterpriseDTO> getEnterpriseById(Integer enterpriseId);

    /**
     * 商户停用
     * @Title: disableEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse 
      */
    ServiceResponse disableEnterprise(Integer enterpriseId);

    /**
     * 商户启用
     * @Title: enableEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse 
      */
    ServiceResponse enableEnterprise(Integer enterpriseId);

    /**
     * 分页查询商户信息
     * @Title: listEnterprise 
     * @Description:
      * @author guojuxing
     * @param search
     * @param serviceVersion
     * @param status
     * @param orderBy
     * @param pageNum
     * @param pageSize 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.EnterpriseListDTO>> 
      */
    ServiceResponse<Page<EnterpriseListDTO>> listEnterprise(String search, Integer serviceVersion,
                                                                Integer status, String orderBy,
                                                                Integer pageNum, Integer pageSize);

    /**
     * 商户初始化标志改成已初始化状态
     * @Title: initEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse 
      */
    ServiceResponse initEnterprise(Integer enterpriseId);
}
