package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.TransferAccountsApprovalDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalDetailDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalListDTO;

/**
 * @author guojx
 * @date 2019/7/19 9:47 AM
 */
public interface TransferAccountsApprovalApiService {

    /**
     * 发起审批
     * @param transferAccountsApprovalDTO
     * @return
     */
    ServiceResponse<Integer> initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO);

    /**
     * 主键查询
     * @param transferApprovalId
     * @return
     */
    ServiceResponse<TransferAccountsApprovalDTO> getById(Integer transferApprovalId);

    /**
     * 审批通过操作
     * @param transferApprovalId 主键
     * @param accountAmount 到账金额
     * @return
     */
    ServiceResponse agreeApproval(Integer transferApprovalId, Double accountAmount);

    /**
     * 回驳
     * @param transferApprovalId
     * @return
     */
    ServiceResponse rejectApproval(Integer transferApprovalId);

    ServiceResponse<Page<TransferAccountsApprovalListDTO>> listTransferAccountsApproval(String search, Integer approvalStatus,
                                                                          Integer enterpriseId,
                                                                          Integer pageNum, Integer pageSize);

    ServiceResponse<TransferAccountsApprovalDetailDTO> getDetailById(Integer transferApprovalId);

}
