package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.PlatformBrandDTO;
import com.gic.enterprise.entity.TabPlatformBrand;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabPlatformBrandMapper {
    /**
     * 根据主键删除
     *
     * @param platformBrandId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer platformBrandId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPlatformBrand record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPlatformBrand record);

    /**
     * 根据主键查询
     *
     * @param platformBrandId 主键
     * @return 实体对象
     */
    TabPlatformBrand selectByPrimaryKey(Integer platformBrandId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPlatformBrand record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPlatformBrand record);

    TabPlatformBrand getByBrandName(@Param("platformBrandName") String platformBrandName);

    Page<TabPlatformBrand> listPlatformBrand(PlatformBrandDTO platformBrandDTO);
}