package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabPlatformBrandRef;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TabPlatformBrandRefMapper {
    /**
     * 根据主键删除
     *
     * @param platformBrandRefId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer platformBrandRefId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPlatformBrandRef record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPlatformBrandRef record);

    /**
     * 根据主键查询
     *
     * @param platformBrandRefId 主键
     * @return 实体对象
     */
    TabPlatformBrandRef selectByPrimaryKey(Integer platformBrandRefId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPlatformBrandRef record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPlatformBrandRef record);

    Integer countByPlatformBrandId(@Param("platformBrandId") Integer platformBrandId);

    List<Map<String,Integer>> countByPlatformBrandIds(@Param("ids") List<Integer> platformBrandIdList);

    Integer delRef(@Param("enterpriseId") Integer enterpriseId, @Param("enterpriseBrandId") Integer enterpriseBrandId);

    Integer delRefs(@Param("enterpriseId") Integer enterpriseId, @Param("ids") List<Integer> enterpriseBrandIds);

    Page<TabPlatformBrandRef> listByPlatformBrandRef(TabPlatformBrandRef brandRef);

    Integer updateRef(@Param("fromBrandId") Integer fromBrandId,@Param("toBrandId") Integer toBrandId);
}