package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.TransferAccountsApprovalDetailDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalListDTO;
import com.gic.enterprise.entity.TabTransferAccountsApproval;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabTransferAccountsApprovalMapper {
    /**
     * 根据主键删除
     *
     * @param transferApprovalId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer transferApprovalId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabTransferAccountsApproval record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabTransferAccountsApproval record);

    /**
     * 根据主键查询
     *
     * @param transferApprovalId 主键
     * @return 实体对象
     */
    TabTransferAccountsApproval selectByPrimaryKey(Integer transferApprovalId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabTransferAccountsApproval record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabTransferAccountsApproval record);

    List<TransferAccountsApprovalListDTO> listTransferAccountsApproval(@Param("search") String search,
                                                                       @Param("approvalStatus") Integer approvalStatus,
                                                                       @Param("enterpriseId") Integer enterpriseId);


    TransferAccountsApprovalDetailDTO getTransferAccountsApproval(@Param("id") Integer id);
}