package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabEnterpriseInit;

import java.util.List;

/**
 * @author guojx
 * @date 2019/7/18 11:07 AM
 */
public interface EnterpriseInitService {

    /**
     * 初始化项目
     * @param configCode
     * @param enterpriseId
     */
    void initByCode(String configCode, Integer enterpriseId);

    void initById(Integer initId);

    TabEnterpriseInit getByCode(String configCode, Integer enterpriseId);

    /**
     * 根据父级ID查询列表
     * @param parentId
     * @param enterpriseId
     * @return
     */
    List<TabEnterpriseInit> listByParentId(Integer parentId, Integer enterpriseId);

    /**
     * 商户初始化配置信息生成，在商户新建的时候进行生成
     * @param enterpriseId
     */
    void initEnterpriseConfigInfo(Integer enterpriseId);

    TabEnterpriseInit getById(Integer initId);
}
