package com.gic.enterprise.service;

import com.gic.enterprise.dto.EnterpriseDTO;
import com.gic.enterprise.dto.EnterpriseListDTO;
import com.gic.enterprise.entity.TabEnterprise;
import com.github.pagehelper.Page;

/**
 * 商户
 * @ClassName: EnterpriseService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/8 4:43 PM 
 */
public interface EnterpriseService {

    /**
     * 新建商户
     * @Title: saveEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseDTO 
     * @return  int 
      */
    int saveEnterprise(EnterpriseDTO enterpriseDTO);

    /**
     * 编辑保存
     * @Title: editEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseDTO 
     * @return  void 
      */
    void editEnterprise(EnterpriseDTO enterpriseDTO);

    /**
     * 根据主键获取
     * @Title: getEnterpriseById 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabEnterprise 
      */
    TabEnterprise getEnterpriseById(Integer enterpriseId);

    /**
     * 商户名称是否重复
     * @Title: isRepeatEnterpriseName 
     * @Description:
      * @author guojuxing
     * @param enterpriseName
     * @param enterpriseId 
     * @return  boolean 
      */
    boolean isRepeatEnterpriseName(String enterpriseName, Integer enterpriseId);

    /**
     * 公司名称是否重复
     * @Title: isRepeatEnterpriseName 
     * @Description:
      * @author guojuxing
     * @param companyName
     * @param enterpriseId 
     * @return  boolean 
      */
    boolean isRepeatCompanyName(String companyName, Integer enterpriseId);

    /**
     * 商户启用、停用
     * @Title: changeEnterpriseStatus 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param status 
     * @return  void 
      */
    void changeEnterpriseStatus(Integer enterpriseId, Integer status);

    /**
     * 分页查询商户
     * @Title: listEnterprise 
     * @Description:
      * @author guojuxing
     * @param search
     * @param serviceVersion
     * @param status
     * @param orderBy
     * @param pageNum
     * @param pageSize 
     * @return  com.github.pagehelper.Page<com.gic.enterprise.dto.EnterpriseListDTO> 
      */
    Page<EnterpriseListDTO> listEnterprise(String search, Integer serviceVersion,
                                           Integer status, String orderBy,
                                           Integer pageNum, Integer pageSize);

    /**
     * 商户初始化字段改为已初始化状态
     * @Title: initEnterprise 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  void 
      */
    void initEnterprise(Integer enterpriseId);
}
