package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabPlatformBrandMapper;
import com.gic.enterprise.dto.PlatformBrandDTO;
import com.gic.enterprise.entity.TabPlatformBrand;
import com.gic.enterprise.service.PlatformBrandService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class PlatformBrandServiceImpl implements PlatformBrandService {

    @Autowired
    private TabPlatformBrandMapper tabPlatformBrandMapper;

    @Override
    public TabPlatformBrand getByBrandName(String platformBrandName) {
        return tabPlatformBrandMapper.getByBrandName(platformBrandName);
    }

    @Override
    public Integer save(PlatformBrandDTO platformBrandDTO) {
        TabPlatformBrand tabPlatformBrand = new TabPlatformBrand();
        tabPlatformBrand.setPlatformBrandCategoryId(platformBrandDTO.getPlatformBrandCategoryId());
        tabPlatformBrand.setPlatformBrandCategoryName(platformBrandDTO.getPlatformBrandCategoryName());
        tabPlatformBrand.setPlatformBrandName(platformBrandDTO.getPlatformBrandName());
        tabPlatformBrand.setCreateType(platformBrandDTO.getCreateType());
        tabPlatformBrand.setCreateTime(new Date());
        tabPlatformBrand.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        tabPlatformBrandMapper.insertSelective(tabPlatformBrand);
        return tabPlatformBrand.getPlatformBrandId();
    }

    @Override
    public Integer update(PlatformBrandDTO platformBrandDTO) {
        TabPlatformBrand tabPlatformBrand = new TabPlatformBrand();
        tabPlatformBrand.setPlatformBrandCategoryId(platformBrandDTO.getPlatformBrandCategoryId());
        tabPlatformBrand.setPlatformBrandCategoryName(platformBrandDTO.getPlatformBrandCategoryName());
        tabPlatformBrand.setPlatformBrandName(platformBrandDTO.getPlatformBrandName());
        return tabPlatformBrandMapper.updateByPrimaryKeySelective(tabPlatformBrand);
    }

    @Override
    public Integer delBrandById(Integer platformBrandId) {
        TabPlatformBrand tabPlatformBrand = new TabPlatformBrand();
        tabPlatformBrand.setPlatformBrandId(platformBrandId);
        tabPlatformBrand.setStatus(GlobalInfo.DATA_STATUS_DELETE);
        return tabPlatformBrandMapper.updateByPrimaryKeySelective(tabPlatformBrand);
    }

    @Override
    public Page<TabPlatformBrand> listPlatformBrand(PlatformBrandDTO platformBrandDTO, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return tabPlatformBrandMapper.listPlatformBrand(platformBrandDTO);
    }
}
