package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabTransferAccountsApprovalMapper;
import com.gic.enterprise.dto.TransferAccountsApprovalDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalDetailDTO;
import com.gic.enterprise.dto.TransferAccountsApprovalListDTO;
import com.gic.enterprise.entity.TabTransferAccountsApproval;
import com.gic.enterprise.service.TransferAccountsApprovalService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author guojx
 * @date 2019/7/19 9:56 AM
 */
@Service("transferAccountsApprovalService")
public class TransferAccountsApprovalServiceImpl implements TransferAccountsApprovalService{
    @Autowired
    private TabTransferAccountsApprovalMapper tabTransferAccountsApprovalMapper;
    @Override
    public int initiateApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO) {
        TabTransferAccountsApproval transfer = EntityUtil.changeEntityNew(TabTransferAccountsApproval.class, transferAccountsApprovalDTO);
        tabTransferAccountsApprovalMapper.insertSelective(transfer);
        return 1;
    }

    @Override
    public TabTransferAccountsApproval getById(Integer transferApprovalId) {
        return tabTransferAccountsApprovalMapper.selectByPrimaryKey(transferApprovalId);
    }

    @Override
    public void updateTransferAccountsApproval(TransferAccountsApprovalDTO transferAccountsApprovalDTO) {
        transferAccountsApprovalDTO.setUpdateTime(new Date());
        TabTransferAccountsApproval transfer = EntityUtil.changeEntityNew(TabTransferAccountsApproval.class, transferAccountsApprovalDTO);
        tabTransferAccountsApprovalMapper.updateByPrimaryKeySelective(transfer);
    }

    @Override
    public Page<TransferAccountsApprovalListDTO> listTransferAccountsApproval(String search, Integer approvalStatus,
                                                                              Integer enterpriseId,
                                                                              Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<TransferAccountsApprovalListDTO> list = tabTransferAccountsApprovalMapper.listTransferAccountsApproval(search, approvalStatus, enterpriseId);
        return (Page<TransferAccountsApprovalListDTO>) list;
    }

    @Override
    public TransferAccountsApprovalDetailDTO getDetailById(Integer transferApprovalId) {
        return tabTransferAccountsApprovalMapper.getTransferAccountsApproval(transferApprovalId);
    }
}
