package com.gic.operation.web.utils;

import com.gic.auth.constant.UserConstants;
import com.gic.auth.utils.CreatePasswordAutoUtil;
import com.gic.commons.util.Md5Util;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.exception.EnterpriseException;
import org.apache.commons.lang3.StringUtils;

/**
 * @author guojx
 * @date 2019/7/17 11:30 AM
 */
public class UserPasswordUtil {

    public static String getEncryptPassword(String password) {
        return encryptPassword(password);
    }

    public static String createPasswordAuto() {
        return CreatePasswordAutoUtil.getStringRandom(8);
    }

    private static String encryptPassword(String password) {
        Md5Util md5 = new Md5Util();
        return md5.encrypt(password + password);
    }


    /**
     * 获取密码
     * @param passwordType
     * @param password
     * @param confirmPassword
     * @return
     */
    public static String validPassword(int passwordType, String password, String confirmPassword) {
        //加密
        if (UserConstants.CREATE_AUTO == passwordType) {
            //自动随机生成
            return UserPasswordUtil.createPasswordAuto();
        } else {
            if (StringUtils.isNotBlank(password) && password.equals(confirmPassword)) {
                //如果一致
                return password;
            } else {
                throw new EnterpriseException(ErrorCode.PARAMETER_ERROR.getCode(), "密码不一致");
            }
        }
    }
}
